#!/bin/sh

SCRIPT=$(readlink -f "$0")
DISTRPATH=$(dirname "$SCRIPT")

mkdir -p ~/.vuclient/
mkdir -p ~/.vuclient/res
cp -n $DISTRPATH/vuclient/vuclient.conf ~/.vuclient/
chmod 666 ~/.vuclient/vuclient.conf
echo "[Application]" >> ~/.vuclient/vuclient.conf
echo "Resources=$HOME/.vuclient/res" >> ~/.vuclient/vuclient.conf

cp -R $DISTRPATH/vuclient/res/* ~/.vuclient/res/
cp $DISTRPATH/vuclient/VideoUnionClient ~/.vuclient/
chmod 777 ~/.vuclient/VideoUnionClient

search_dark="\"path\": \"IMAGES_DARK\""
replace_dark="\"path\": \"$HOME/.vuclient/res/dark/\""
sed -i -e "s%$search_dark%$replace_dark%g" ~/.vuclient/res/dark.json

search_light="\"path\": \"IMAGES_LIGHT\""
replace_light="\"path\": \"$HOME/.vuclient/res/light/\""
sed -i -e "s%$search_light%$replace_light%g" ~/.vuclient/res/light.json

currentuser=${SUDO_USER:-$USER}
desktop_folder=`xdg-user-dir DESKTOP`
cp $DISTRPATH/vuclient/vuclient.desktop "$desktop_folder/vuclient.desktop"
chown $currentuser:$currentuser "$desktop_folder/vuclient.desktop"
chmod +x "$desktop_folder/vuclient.desktop"

echo "Exec=$HOME/.vuclient/VideoUnionClient" >> "$desktop_folder/vuclient.desktop"
echo "Icon=$HOME/.vuclient/res/main_icon.png" >> "$desktop_folder/vuclient.desktop"


echo "Установка выполенена успешно"
